Package org.zeromq

# Class ZMsgTest

java.lang.Object
org.zeromq.ZMsgTest

public class ZMsgTest extends Object

## Constructor Summary

Constructors
Constructor
Description
`ZMsgTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`testEmptyMessage()`
`void`
`testLoadSave()`
`void`
`testMessageEquals()`
`void`
`testMessageFrameManipulation()`
`void`
`testMultiPart()`
`void`
`testNewStringMessage()`
`void`
`testSingleFrameMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZMsgTest

public ZMsgTest()

## Method Details

### testMessageEquals

public void testMessageEquals()

### testSingleFrameMessage

public void testSingleFrameMessage()

### testMultiPart

public void testMultiPart()

### testMessageFrameManipulation

public void testMessageFrameManipulation()

### testEmptyMessage

public void testEmptyMessage()

### testLoadSave

public void testLoadSave()

### testNewStringMessage

public void testNewStringMessage()